summaryrefslogtreecommitdiffstats
path: root/multimedia/llcon
diff options
context:
space:
mode:
author Andrei G2010-05-13 00:59:44 +0200
committer Robby Workman2010-05-13 00:59:44 +0200
commit25ca7b4ae6f26b2739006555cd0647e46f16cbc7 (patch)
tree4ab4ac762c4728fa1adf50b3d72291cbc6ad1875 /multimedia/llcon
parent31bab0cf34a4523875464b5d266261fba7b06986 (diff)
downloadslackbuilds-25ca7b4ae6f26b2739006555cd0647e46f16cbc7.tar.gz
multimedia/llcon: Added to 13.0 repository
Diffstat (limited to 'multimedia/llcon')
-rw-r--r--multimedia/llcon/README6
-rw-r--r--multimedia/llcon/llcon.SlackBuild75
-rw-r--r--multimedia/llcon/llcon.info10
-rw-r--r--multimedia/llcon/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/multimedia/llcon/README b/multimedia/llcon/README
new file mode 100644
index 0000000000..0bf913b826
--- /dev/null
+++ b/multimedia/llcon/README
@@ -0,0 +1,6 @@
+The llcon software enables musicians to perform real-time jam sessions over
+the internet. There is one server running the llcon server software which
+collects the audio data from each llcon client software, mixes the audio
+data and sends the mix back to each client.
+
+This requires jack.
diff --git a/multimedia/llcon/llcon.SlackBuild b/multimedia/llcon/llcon.SlackBuild
new file mode 100644
index 0000000000..50b8add06b
--- /dev/null
+++ b/multimedia/llcon/llcon.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for llcon
+# Written by Andrei G <oz@oprod.net
+
+PRGNAM=llcon
+VERSION=${VERSION:-3.0.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README NEWS AUTHORS COPYING TODO ChangeLog INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/llcon/llcon.info b/multimedia/llcon/llcon.info
new file mode 100644
index 0000000000..9376cb68fa
--- /dev/null
+++ b/multimedia/llcon/llcon.info
@@ -0,0 +1,10 @@
+PRGNAM="llcon"
+VERSION="3.0.3"
+HOMEPAGE="http://sourceforge.net/apps/mediawiki/llcon/index.php?title=Main_Page"
+DOWNLOAD="http://downloads.sourceforge.net/llcon/llcon-3.0.3.tar.gz"
+MD5SUM="73009fd68532701dc497f2da90d292a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrei G"
+EMAIL="oz@oprod.net"
+APPROVED="rworkman"
diff --git a/multimedia/llcon/slack-desc b/multimedia/llcon/slack-desc
new file mode 100644
index 0000000000..c08f084149
--- /dev/null
+++ b/multimedia/llcon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+llcon: llcon (perform real-time jam session software)
+llcon:
+llcon: The llcon software enables musicians to perform real-time jam
+llcon: sessions over the internet. There is one server running the llcon
+llcon: server software which collects the audio data from each llcon client
+llcon: software, mixes the audio data and sends the mix back to each client.
+llcon:
+llcon: http://sourceforge.net/apps/mediawiki/llcon/index.php?title=Main_Page
+llcon:
+llcon:
+llcon: